summaryrefslogtreecommitdiffstats
path: root/Doc/tools/push-docs.sh
diff options
context:
space:
mode:
authorFred Drake <fdrake@acm.org>2000-10-19 05:54:51 (GMT)
committerFred Drake <fdrake@acm.org>2000-10-19 05:54:51 (GMT)
commit692565c9e9360360fbefd2417221aaa4d48a8053 (patch)
treedcf577894f3b62b58f67f0369072a4018edc8e58 /Doc/tools/push-docs.sh
parent63568aa9bb68d86160f0be9c44affd4379571601 (diff)
downloadcpython-692565c9e9360360fbefd2417221aaa4d48a8053.zip
cpython-692565c9e9360360fbefd2417221aaa4d48a8053.tar.gz
cpython-692565c9e9360360fbefd2417221aaa4d48a8053.tar.bz2
Helper scripts used in published the "development" snapshots of the
Python documentation.
Diffstat (limited to 'Doc/tools/push-docs.sh')
-rwxr-xr-xDoc/tools/push-docs.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/Doc/tools/push-docs.sh b/Doc/tools/push-docs.sh
new file mode 100755
index 0000000..f36438f
--- /dev/null
+++ b/Doc/tools/push-docs.sh
@@ -0,0 +1,16 @@
+#! /bin/sh
+
+# Script to push docs from my development area to SourceForge, where the
+# update-docs.sh script unpacks them into their final destination.
+
+START="`pwd`"
+MYDIR="`dirname $0`"
+cd "$MYDIR"
+MYDIR="`pwd`"
+HTMLDIR="${HTMLDIR:-html}"
+
+cd "../$HTMLDIR"
+make --no-print-directory || exit $?
+RELEASE=`grep '^RELEASE=' Makefile | sed 's|RELEASE=||'`
+make --no-print-directory HTMLDIR="$HTMLDIR" bziphtml
+scp "html-$RELEASE.tar.bz2" python.sourceforge.net:/home/users/fdrake/python-docs-update.tar.bz2